Package io.flutter.embedding.android

# Class KeyboardMap

java.lang.Object
io.flutter.embedding.android.KeyboardMap

public class KeyboardMap extends Object
Static information used by `KeyEmbedderResponder`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `KeyboardMap.KeyPair`
  A physicalKey-logicalKey pair used to define mappings.
  `static class`
  `KeyboardMap.PressingGoal`
  An immutable configuration item that defines how to synchronize pressing modifiers (such as Shift or Ctrl), so that the `KeyEmbedderResponder` must synthesize events until the combined pressing state of `KeyboardMap.PressingGoal.keys` matches the true meta state masked by `KeyboardMap.PressingGoal.mask`.
  `static class`
  `KeyboardMap.TogglingGoal`
  A configuration item that defines how to synchronize toggling modifiers (such as CapsLock), so that the `KeyEmbedderResponder` must synthesize events until the enabling state of the key matches the true meta state masked by `KeyboardMap.TogglingGoal.mask`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `kAndroidPlane`
  `static final HashMap<Long,Long>`
  `keyCodeToLogical`
  Maps from Android key codes `KeyEvent.getKeyCode()` to Flutter logical keys.
  `static final long`
  `kUnicodePlane`
  `static final long`
  `kValueMask`
  `static final KeyboardMap.PressingGoal[]`
  `pressingGoals`
  `static final HashMap<Long,Long>`
  `scanCodeToPhysical`
  Maps from Android scan codes `KeyEvent.getScanCode()` to Flutter physical keys.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyboardMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static KeyboardMap.TogglingGoal[]`
  `getTogglingGoals()`
  A list of toggling modifiers that must be synchronized on each key event.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### scanCodeToPhysical

    public static final HashMap<Long,Long> scanCodeToPhysical
    Maps from Android scan codes `KeyEvent.getScanCode()` to Flutter physical keys.

  - ### keyCodeToLogical

    public static final HashMap<Long,Long> keyCodeToLogical
    Maps from Android key codes `KeyEvent.getKeyCode()` to Flutter logical keys.

  - ### pressingGoals

    public static final KeyboardMap.PressingGoal[] pressingGoals

  - ### kValueMask

    public static final long kValueMask
    See Also:
      - Constant Field Values

  - ### kUnicodePlane

    public static final long kUnicodePlane
    See Also:
      - Constant Field Values

  - ### kAndroidPlane

    public static final long kAndroidPlane
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KeyboardMap

    public KeyboardMap()

- ## Method Details

  - ### getTogglingGoals

    public static KeyboardMap.TogglingGoal[] getTogglingGoals()
    A list of toggling modifiers that must be synchronized on each key event.

    The list is not a static variable but constructed by a function, because `KeyboardMap.TogglingGoal` is mutable.